org.apache.lucene.analysis.ja.tokenattributes

## Interface BaseFormAttribute

All Superinterfaces:
  Attribute

All Known Implementing Classes:
  BaseFormAttributeImpl

    public interface BaseFormAttribute
    extends Attribute

Attribute for `Token.getBaseForm()`.

Note: depending on part of speech, this value may not be applicable, and will be null.

### Method Summary

Methods
`String` `getBaseForm()`
`void` `setToken(Token token)`

### Method Detail

#### getBaseForm

    String getBaseForm()

#### setToken

    void setToken(Token token)